Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.hl7.msg
Class HL7RecourseActionInfo

    java.lang.Object
      com.stc.connector.tcpip.hl7.msg.HL7RecourseActionInfo

All Implemented Interfaces:
  HL7RecourseActionInfoInterface

    public class HL7RecourseActionInfo

extends java.lang.Object
implements HL7RecourseActionInfoInterface

Version:
  cvs revision: $Revision: 1.5 $ Last Modified: $Date: 2008/04/22 05:54:46 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `ACTION_EXIT`
`static java.lang.String` | `ACTION_RESEND`
`static java.lang.String` | `ACTION_RESET`
`static java.lang.String` | `ACTION_SKIP_MESSAGE`
`static java.lang.String` | `version`

Constructor Summary
`HL7RecourseActionInfo()` Constructor for HL7RecourseActionInfo.
`HL7RecourseActionInfo(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)`

Method Summary
`java.lang.String` | `getActionOnMaxFailedReadRetry()` Method getActionOnMaxFailedReadRetry
`java.lang.String` | `getActionOnMaxNakReceived()` Method getActionOnMaxNakReceived
`java.lang.String` | `getActionOnMaxNakSent()` Method getActionOnMaxNakSent
`java.lang.String` | `getActionOnMaxNoResponse()` Method getActionOnMaxNoResponse
`java.lang.String` | `getActionOnNakReceived()` Method getActionOnNakReceived
`java.lang.String` | `getActionOnNoResponse()` Method getActionOnNoResponse
`void` | `setActionOnMaxFailedReadRetry(java.lang.String string)` Method setActionOnMaxFailedReadRetry
`void` | `setActionOnMaxNakReceived(java.lang.String string)` Method setActionOnMaxNakReceived
`void` | `setActionOnMaxNakSent(java.lang.String string)` Method setActionOnMaxNakSent
`void` | `setActionOnMaxNoResponse(java.lang.String string)` Method setActionOnMaxNoResponse
`void` | `setActionOnNakReceived(java.lang.String string)` Method setActionOnNakReceived
`void` | `setActionOnNoResponse(java.lang.String string)` Method setActionOnNoResponse
`void` | `validate()` Method validate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

### ACTION_EXIT

    public static final java.lang.String ACTION_EXIT

See Also:
  Constant Field Values

### ACTION_RESEND

    public static final java.lang.String ACTION_RESEND

See Also:
  Constant Field Values

### ACTION_RESET

    public static final java.lang.String ACTION_RESET

See Also:
  Constant Field Values

### ACTION_SKIP_MESSAGE

    public static final java.lang.String ACTION_SKIP_MESSAGE

See Also:
  Constant Field Values

Constructor Detail

### HL7RecourseActionInfo

    public HL7RecourseActionInfo()
                          throws HL7ApplicationException

  Constructor for HL7RecourseActionInfo.

  Throws:
    `HL7ApplicationException`

### HL7RecourseActionInfo

    public HL7RecourseActionInfo(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)
                          throws HL7ApplicationException

Throws:
  `HL7ApplicationException`

Method Detail

### getActionOnMaxFailedReadRetry

    public java.lang.String getActionOnMaxFailedReadRetry()

  Method getActionOnMaxFailedReadRetry

  Specified by:
    `getActionOnMaxFailedReadRetry` in interface `HL7RecourseActionInfoInterface`
  Returns:
    actionOnMaxFailedReadRetry

### getActionOnMaxNakReceived

    public java.lang.String getActionOnMaxNakReceived()

  Method getActionOnMaxNakReceived

  Specified by:
    `getActionOnMaxNakReceived` in interface `HL7RecourseActionInfoInterface`
  Returns:
    actionOnMaxNakReceived

### getActionOnMaxNakSent

    public java.lang.String getActionOnMaxNakSent()

  Method getActionOnMaxNakSent

  Specified by:
    `getActionOnMaxNakSent` in interface `HL7RecourseActionInfoInterface`
  Returns:
    actionOnMaxNakSent

### getActionOnMaxNoResponse

    public java.lang.String getActionOnMaxNoResponse()

  Method getActionOnMaxNoResponse

  Specified by:
    `getActionOnMaxNoResponse` in interface `HL7RecourseActionInfoInterface`
  Returns:
    actionOnMaxNoResponse

### getActionOnNakReceived

    public java.lang.String getActionOnNakReceived()

  Method getActionOnNakReceived

  Specified by:
    `getActionOnNakReceived` in interface `HL7RecourseActionInfoInterface`
  Returns:
    actionOnNakReceived

### getActionOnNoResponse

    public java.lang.String getActionOnNoResponse()

  Method getActionOnNoResponse

  Specified by:
    `getActionOnNoResponse` in interface `HL7RecourseActionInfoInterface`
  Returns:
    actionOnNoResponse

### setActionOnMaxFailedReadRetry

    public void setActionOnMaxFailedReadRetry(java.lang.String string)
                                       throws HL7ApplicationException

  Method setActionOnMaxFailedReadRetry

  Specified by:
    `setActionOnMaxFailedReadRetry` in interface `HL7RecourseActionInfoInterface`
  Parameters:
    `string-Exit` - or Reset
  Throws:
    `HL7ApplicationException`

### setActionOnMaxNakReceived

    public void setActionOnMaxNakReceived(java.lang.String string)
                                   throws HL7ApplicationException

  Method setActionOnMaxNakReceived

  Specified by:
    `setActionOnMaxNakReceived` in interface `HL7RecourseActionInfoInterface`
  Parameters:
    `string-Exit,Reset,SkipMessage` -
  Throws:
    `HL7ApplicationException`

### setActionOnMaxNakSent

    public void setActionOnMaxNakSent(java.lang.String string)
                               throws HL7ApplicationException

  Method setActionOnMaxNakSent

  Specified by:
    `setActionOnMaxNakSent` in interface `HL7RecourseActionInfoInterface`
  Parameters:
    `string-Exit,Reset` -
  Throws:
    `HL7ApplicationException`

### setActionOnMaxNoResponse

    public void setActionOnMaxNoResponse(java.lang.String string)
                                  throws HL7ApplicationException

  Method setActionOnMaxNoResponse

  Specified by:
    `setActionOnMaxNoResponse` in interface `HL7RecourseActionInfoInterface`
  Parameters:
    `string-Exit,Reset` -
  Throws:
    `HL7ApplicationException`

### setActionOnNakReceived

    public void setActionOnNakReceived(java.lang.String string)
                                throws HL7ApplicationException

  Method setActionOnNakReceived

  Specified by:
    `setActionOnNakReceived` in interface `HL7RecourseActionInfoInterface`
  Parameters:
    `string-Resend,Reset,SkipMessage` -
  Throws:
    `HL7ApplicationException`

### setActionOnNoResponse

    public void setActionOnNoResponse(java.lang.String string)
                               throws HL7ApplicationException

  Method setActionOnNoResponse

  Specified by:
    `setActionOnNoResponse` in interface `HL7RecourseActionInfoInterface`
  Parameters:
    `string-Exit,Resend,Reset` -
  Throws:
    `HL7ApplicationException`

### validate

    public void validate()
                  throws HL7ApplicationException

  Method validate.

  Throws:
    `HL7ApplicationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD